import axios from "axios";
import * as Vue from "vue";
import * as VueQuery from "@tanstack/vue-query";
import viteSSR from "vite-ssr/vue";
import { Component } from "vue";
import { Hook, Options } from "vite-ssr/vue/types";
declare module "@vue/runtime-core" {
    interface ComponentCustomProperties {
        $axios: typeof axios;
        $VueQuery: typeof VueQuery;
        $Vue: typeof Vue;
    }
}
declare function viteSSRByWeber({ App, routes, options, hook, createVueAppLibOptions, }: {
    App: Component;
    routes: Options["routes"];
    options?: Omit<Options, "routes">;
    hook?: Hook;
    createVueAppLibOptions?: {
        installVueCatchHrefs: boolean;
        installVueUnHead: boolean;
    };
}): Promise<void>;
export { viteSSRByWeber, viteSSR };
